Bug 4591 - [UPDATE REQUEST] broadcom-wl 6.30.223.248
: [UPDATE REQUEST] broadcom-wl 6.30.223.248
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-28 19:36 MSK by Eugene Shatokhin
Modified: 2014-11-05 12:00 MSK (History)
1 user (show)

See Also:
RPM Package: dkms-broadcom-wl
ISO-related:
Bad POT generating:
Upstream:
firstlevel: qa_verified+
eugene.shatokhin: published+


Attachments
installation log on HP6465b of new package (4.49 KB, text/x-log)
2014-10-29 11:48 MSK, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2014-10-28 19:36:21 MSK
Upstream update to version 6.30.223.248 + our fixes.
Comment 1 Eugene Shatokhin 2014-10-28 19:43:12 MSK
Advisory:
broadcom-wl was updated to version 6.30.223.248.
Besides that, the following was fixed/improved:
* 'wl' driver now claims it can handle only WiFi network devices by Broadcom rather than by any vendor (bug #4514);
* 'wl' driver will now also be used for the devices with the following chips: BCM43142, BCM4331, BCM4360, BCM4352.

Build lists:

i586:
https://abf.rosalinux.ru/build_lists/2324243

x86_64:
https://abf.rosalinux.ru/build_lists/2324244
Comment 2 Eugene Shatokhin 2014-10-28 19:44:59 MSK
При тестировании хорошо бы ещё проверить, как ведёт себя система с таким драйвером при suspend и hibernate: восстанавливается ли нормально подключение при resume, нет ли в логах ошибок от этого драйвера и т.п.
Comment 3 FirstLevel 2014-10-29 11:48:11 MSK
Created attachment 3390 [details]
installation log on HP6465b of new package
Comment 4 FirstLevel 2014-10-29 11:50:11 MSK
After waiting mode Wi-Fi is connected successfully.
Sleeping mode is not worked for me at all :(
Comment 5 FirstLevel 2014-10-29 11:51:14 MSK
(In reply to comment #2)
> При тестировании хорошо бы ещё проверить, как ведёт себя система с таким
> драйвером при suspend и hibernate: восстанавливается ли нормально
> подключение при resume, нет ли в логах ошибок от этого драйвера и т.п.

Я поставил себе новый драйвер на рабочий ноут. Что необходимо отслеживать в логах?
Comment 6 FirstLevel 2014-10-29 13:42:36 MSK
I have tested enetering from sleeping mode (with vesa driver) on my laptop - wireless network is up after few seconds after I see KDE session screen.
Comment 7 FirstLevel 2014-10-29 13:43:23 MSK
(In reply to comment #6)
> I have tested enetering from sleeping mode (with vesa driver) on my laptop -
> wireless network is up after few seconds after I see KDE session screen.

I have tested exit from sleeping mode (with vesa driver) on my laptop -
wireless network is up after few seconds after I see KDE session screen.
Comment 8 Eugene Shatokhin 2014-10-29 14:21:45 MSK
(In reply to comment #5)
> Я поставил себе новый драйвер на рабочий ноут. Что необходимо отслеживать в
> логах?

Спасибо! 

Стоит посмотреть не появляются ли ошибки ядра с call trace, как минимум. 

Плюс, думаю, - сообщения об ошибках от модуля wl (кроме scan errors - это бывает время от времени). Если таких ошибок будет больше, чем 3-5 шт., дайте мне знать. Может, это и не проблема, но проверить надо будет.
Comment 9 FirstLevel 2014-10-29 14:35:08 MSK
(In reply to comment #8)
> (In reply to comment #5)
> > Я поставил себе новый драйвер на рабочий ноут. Что необходимо отслеживать в
> > логах?
> 
> Спасибо! 
> 
> Стоит посмотреть не появляются ли ошибки ядра с call trace, как минимум. 
> 
> Плюс, думаю, - сообщения об ошибках от модуля wl (кроме scan errors - это
> бывает время от времени). Если таких ошибок будет больше, чем 3-5 шт., дайте
> мне знать. Может, это и не проблема, но проверить надо будет.

Прошу прощения, но 3-5 шт за какой период времени?
Comment 10 FirstLevel 2014-10-29 14:46:59 MSK
(In reply to comment #8)
> (In reply to comment #5)
> > Я поставил себе новый драйвер на рабочий ноут. Что необходимо отслеживать в
> > логах?
> 
> Спасибо! 
> 
> Стоит посмотреть не появляются ли ошибки ядра с call trace, как минимум. 
> 
> Плюс, думаю, - сообщения об ошибках от модуля wl (кроме scan errors - это
> бывает время от времени). Если таких ошибок будет больше, чем 3-5 шт., дайте
> мне знать. Может, это и не проблема, но проверить надо будет.

С сегодняшнего утра по текущее время:
[root@r4 log]# cat messages | grep wl | grep rro
Oct 29 12:24:01 r4 kernel: [   49.971500] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
Oct 29 12:28:15 r4 kernel: [   96.730250] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
Oct 29 12:38:26 r4 kernel: [   55.589456] ERROR @wl_cfg80211_scan : WLC_SCAN error (-22)
[root@r4 log]# date
Ср окт 29 13:46:33 MSK 2014
[root@r4 log]#
Comment 11 FirstLevel 2014-10-29 14:47:51 MSK
(In reply to comment #8)
> (In reply to comment #5)
> > Я поставил себе новый драйвер на рабочий ноут. Что необходимо отслеживать в
> > логах?
> 
> Спасибо! 
> 
> Стоит посмотреть не появляются ли ошибки ядра с call trace, как минимум. 
> 
> Плюс, думаю, - сообщения об ошибках от модуля wl (кроме scan errors - это
> бывает время от времени). Если таких ошибок будет больше, чем 3-5 шт., дайте
> мне знать. Может, это и не проблема, но проверить надо будет.

За сегодня ни одного call trace не было
[root@r4 log]# cat messages | grep "Call Trace"
Oct 27 21:53:47 r4 kernel: [ 6440.587051] Call Trace:
Oct 27 21:53:47 r4 kernel: [ 6440.618396] Call Trace:
Oct 27 21:53:54 r4 kernel: [ 6447.785069] Call Trace:
Oct 27 21:53:54 r4 kernel: [ 6447.881562] Call Trace:
Oct 27 21:54:01 r4 kernel: [ 6454.794453] Call Trace:
Oct 27 21:54:01 r4 kernel: [ 6454.837599] Call Trace:
Oct 27 21:54:08 r4 kernel: [ 6461.802317] Call Trace:
Oct 27 21:54:08 r4 kernel: [ 6461.896016] Call Trace:
[root@r4 log]# date
Ср окт 29 13:47:43 MSK 2014
[root@r4 log]#
Comment 12 Eugene Shatokhin 2014-10-29 16:24:16 MSK
(In reply to comment #9)
> Прошу прощения, но 3-5 шт за какой период времени?

За день хотя бы. 

Ругань на scan - это нормально.

То, что падений с call trace не было - это хорошо.
Comment 13 FirstLevel 2014-10-30 23:42:32 MSK
(In reply to comment #12)
> (In reply to comment #9)
> > Прошу прощения, но 3-5 шт за какой период времени?
> 
> За день хотя бы. 
Их не больше 3-5.

> 
> Ругань на scan - это нормально.
> 
> То, что падений с call trace не было - это хорошо.
Этого больше не было после установки драйвера.
Comment 14 Eugene Shatokhin 2014-10-31 11:13:54 MSK
(In reply to comment #13)
> Этого больше не было после установки драйвера.

Да, я тоже проверил на 5-6 WiFi-адаптерах этот драйвер - пока проблем не видно.
Comment 15 FirstLevel 2014-10-31 14:56:43 MSK
Также проверил на HP6465b в 32битном исполнении - проблем нет.
Comment 16 FirstLevel 2014-11-05 11:31:48 MSK
dkms-broadcom-wl-6.30.223.248-1
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2324243/i586/non-free/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2324244/x86_64/non-free/release/
************************ Advisory **********************
broadcom-wl was updated to version 6.30.223.248.
Besides that, the following was fixed/improved:
* 'wl' driver now claims it can handle only WiFi network devices by Broadcom rather than by any vendor (bug #4514);
* 'wl' driver will now also be used for the devices with the following chips: BCM43142, BCM4331, BCM4360, BCM4352.
********************************************************
QA Verified